#CLCUL DE PROBABILITATS: Mitjana

#Ens diu que la variable X~P(lambda) amb desviaci estndar =2
#Ens demana P(Xmit>4.25) on la Xmit d'una mostra de 100 v.a. distribudes segons X
#Ens demana P(Xmit<4.35) on la Xmit d'una mostra de 100 v.a. distribudes segons X


#Sabem que per ser una Poisson, mu=Sigma^2=lambda. Per tant,
#mu=Sigma^2=lambda=2^2=4
#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci d'Xmit
nobs <- 100; mu <- 4 ; sigma <- 2/sqrt(nobs); 

#Punt on valorem la probabilitat
Xmit_1 <- 4.25
Xmit_2 <- 4.35

#Clcul de la probabilitat
pr_1 <- 1- pnorm(Xmit_1, mu, sigma)
pr_2 <- pnorm(Xmit_2, mu, sigma)

pr_1; pr_2;


# Generaci del grfic que explica les rees

#Generem una matriu grfica d'una fila i dues columnes
par(mfrow = c(1,2))

#Grfic a la primera columna

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(bar('X'))), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x >= Xmit_1] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(Xmit_1, x1, x1[length(x1)], eix[2])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red')
#Afegim Text
text(mu, 0.15*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(mu, 0.1*dnorm(mu,mu,sigma), round(pr_1,3))


#Grfic a la segona columna

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(bar('X'))), ylab = "")
abline(h = 0)
x1 <- x[x <= Xmit_2] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(eix[1], x1, x1[length(x1)], 0)
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')
#Afegim Text
text(mu, 0.35*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(mu, 0.3*dnorm(mu,mu,sigma), round(pr_2, 3))




